Package org.pushingpixels.trident.callback

# Class UIThreadTimelineCallbackAdapter

java.lang.Object
org.pushingpixels.trident.callback.TimelineCallbackAdapter
org.pushingpixels.trident.callback.UIThreadTimelineCallbackAdapter

All Implemented Interfaces:
  `TimelineCallback`

public class UIThreadTimelineCallbackAdapter extends TimelineCallbackAdapter
Empty implementation of `TimelineCallback` that does nothing but is marked to run on the EDT.

## Constructor Summary

Constructors
Constructor
Description
`UIThreadTimelineCallbackAdapter()`

## Method Summary

### Methods inherited from class org.pushingpixels.trident.callback.TimelineCallbackAdapter

`onTimelinePulse, onTimelineStateChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UIThreadTimelineCallbackAdapter

public UIThreadTimelineCallbackAdapter()